fn = @(N, K) log(nchoosek(N, K));

for nn = [0, 1, 10]
    for kk = 0:nn
        testclose(nchoosekln(nn, kk), fn(nn, kk));
    end
end
testequal(nchoosekln(1:5, 1:5), zeros(1,5));

testerror(@() nchoosekln(-1, 1));
testerror(@() nchoosekln(1, 2));
testerror(@() nchoosekln(3, 2.3));
testerror(@() nchoosekln(1.2, 1));

test_exit
