function z = bsxrem(x, y)
% bsxrem(x, y) = bsxfun(@rem, x, y);
% Binary "Remainder after division" operator applied element-wise to x and y.
% Singleton dimensions are implicitly expanded to make x and y match in size.
z = bsxfun(@rem, x, y);
