function p = logit(p)
%LOGIT computes log(p./(1-p)) elementwise on values in [0,1]
%
% Maps [0, 1] to [-infinity, infinity]. Inverse of logistic.
% Will return an error if p is outside [0,1].

% Iain Murray, November 2007

p = reallog(p./(1-p));
